TEE(1)

NAZWA
tee - czyta ze standardowego wejścia i zapisuje na standardowe wyjście oraz do pliku

SKŁADNIA
tee [OPCJA]... [PLIK]...

OPIS

Kopiuje standardowe wejście do każdego PLIKU, wypisując je również na standardowe wyjście.

-a, --append
    dołącza dane do podanych PLIKÓW, nie nadpisując ich zawartości

-i, --ignore-interrupts
    ignoruje sygnały przerwania

-p  działa w bardziej dogodnym TRYBIE z potokami.

--output-error[=TRYB]
    kontroluje zachowanie przy zapisie błędów. Zob. TRYB poniżej.

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

  TRYB określa zachowanie przy zapisie błędów do wyjścia:

warn
    diagnozuje błędy przy zapisie na dowolne wyjście

warn-nopipe
    diagnozuje błędy przy zapisie na dowolne wyjście niebędące potokiem

exit
    wychodzi przy błędzie, przy zapisie na dowolne wyjście

exit-nopipe
    wychodzi przy błędzie, przy zapisie na dowolne wyjście niebędące potokiem

Domyślnym TRYBEM dla opcji -p jest warn-nopipe. W TRYBACH nopipe program wychodzi natychmiast, jeśli wszystkie wyjścia staną się błędnymi potokami. Domyślną operacją gdy nie poda się --output-error jest natychmiastowe wychodzenie przy zapisie do potoku i diagnozowanie błędów przy zapisie na wyjście niebędące potokiem.

AUTOR
Napisane przez Mike'a Parkera, Richarda M. Stallmana i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia poinformuj przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2023 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/tee>
lub lokalnie, za pomocą info '(coreutils) tee invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Tomasz Wendlandt <juggler@box.cp.com.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.